#!/bin/bash

VERSION='20190503t132754'

# cat pubspec.yaml.in | sed -i 

rm -rf .packages pubspec.lock
PUB_HOSTED_URL="https://$VERSION-dot-dartlang-pub.appspot.com" pub get;
if [ $? -ne 0 ]; then
  echo 'FAILURE TO RUN PUB GET';
else
  echo 'SUCCESS';
fi

PUB_HOSTED_URL="https://$VERSION-dot-dartlang-pub.appspot.com" pub upgrade;
if [ $? -ne 0 ]; then
  echo 'FAILURE TO RUN PUB UPGRADE';
else
  echo 'SUCCESS';
fi

PUB_HOSTED_URL="https://$VERSION-dot-dartlang-pub.appspot.com" pub publish;
if [ $? -ne 0 ]; then
  echo 'FAILURE TO RUN PUB PUBLISH';
else
  echo 'SUCCESS';
fi


export PUB_HOSTED_URL="https://$VERSION-dot-dartlang-pub.appspot.com";
export PUB_CACHE=`mktemp -d`
rm -f example/pubspec.lock example/.packages
cd example/ && pub get && dart bin/main.dart
